__gnu_cxx::project1st< _Arg1, _Arg2 > Struct Template Reference
Extensions » SGI

`#include <functional>`

## Public Types

typedef _Arg1 | first_argument_type
typedef _Arg1 | result_type
typedef _Arg2 | second_argument_type

## Public Member Functions

_Arg1 | operator() (const _Arg1 &__x, const _Arg2 &) const

## Detailed Description

template<class _Arg1, class _Arg2>
struct __gnu_cxx::project1st< _Arg1, _Arg2 >

An SGI extension .

Definition at line 234 of file ext/functional.

## Member Typedef Documentation

## first_argument_type

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Arg1 >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## result_type

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Arg1 >::result_type

inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## second_argument_type

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Arg1 >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Member Function Documentation

## operator()()

template<class _Arg1, class _Arg2>

_Arg1 __gnu_cxx::_Project1st< _Arg1, _Arg2 >::operator() | ( | const _Arg1 & | __x,
|  | const _Arg2 & | ) const

inline inherited

Definition at line 212 of file ext/functional.

The documentation for this struct was generated from the following file:

- ext/functional